Bug 984237 - AttributeError: 'NoneType' object has no attribute 'type'
AttributeError: 'NoneType' object has no attribute 'type'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e77b5a48d15115573d9ead05a17...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 17:03 EDT by Dan Dragomir
Modified: 2014-03-02 08:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-02 08:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (652.74 KB, text/plain)
2013-07-13 17:03 EDT, Dan Dragomir
no flags Details
File: anaconda.log (45.13 KB, text/plain)
2013-07-13 17:03 EDT, Dan Dragomir
no flags Details
File: environ (460 bytes, text/plain)
2013-07-13 17:03 EDT, Dan Dragomir
no flags Details
File: lsblk_output (1.87 KB, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: messages (271.02 KB, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: nmcli_dev_list (3.44 KB, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: program.log (35.86 KB, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: storage.log (164.17 KB, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details
File: ifcfg.log (648 bytes, text/plain)
2013-07-13 17:04 EDT, Dan Dragomir
no flags Details

  None (edit)
Description Dan Dragomir 2013-07-13 17:03:43 EDT
Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 297, in _removeDevice
    if dev.partedPartition.type == parted.PARTITION_EXTENDED and \
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 344, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1179, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2024, in _destroy_device
    self.__storage.destroyDevice(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2146, in on_remove_clicked
    self._destroy_device(dev)
AttributeError: 'NoneType' object has no attribute 'type'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 Dan Dragomir 2013-07-13 17:03:50 EDT
Created attachment 773173 [details]
File: anaconda-tb
Comment 2 Dan Dragomir 2013-07-13 17:03:55 EDT
Created attachment 773174 [details]
File: anaconda.log
Comment 3 Dan Dragomir 2013-07-13 17:03:58 EDT
Created attachment 773175 [details]
File: environ
Comment 4 Dan Dragomir 2013-07-13 17:04:02 EDT
Created attachment 773176 [details]
File: lsblk_output
Comment 5 Dan Dragomir 2013-07-13 17:04:07 EDT
Created attachment 773177 [details]
File: messages
Comment 6 Dan Dragomir 2013-07-13 17:04:10 EDT
Created attachment 773178 [details]
File: nmcli_dev_list
Comment 7 Dan Dragomir 2013-07-13 17:04:14 EDT
Created attachment 773179 [details]
File: os_info
Comment 8 Dan Dragomir 2013-07-13 17:04:18 EDT
Created attachment 773180 [details]
File: program.log
Comment 9 Dan Dragomir 2013-07-13 17:04:22 EDT
Created attachment 773181 [details]
File: storage.log
Comment 10 Dan Dragomir 2013-07-13 17:04:26 EDT
Created attachment 773182 [details]
File: ifcfg.log
Comment 11 David Shea 2014-02-28 10:39:02 EST
Does this still occur with F20 or rawhide?
Comment 12 Dan Dragomir 2014-03-01 05:55:56 EST
I didn't encounter it in F20.
Comment 13 David Shea 2014-03-02 08:45:08 EST
Good to hear.

Note You need to log in before you can comment on or make changes to this bug.